Subject: Set a Firefox user agent for our Icecat build

From: Arun Isaac <[email-masked]>
Date: Mon, 16 Nov 2020 11:47:24 +0530

Hi,

Many sites---jitsi among many others---don't work properly when they see
an Icecat user agent. Instead, when the user agent is set to a Firefox
user agent, these sites work as expected. Users can do this manually by
installing user agent switching extensions such as uaswitcher, but it
would be much better if our Icecat package, by default, came with a
Firefox user agent, and everything worked normally without any user
intervention.

This bug report arose out of a discussion on help-guix. See
https://lists.gnu.org/archive/html/help-guix/2020-11/msg00082.html

I would normally volunteer a patch, but building Icecat takes too long
(> 24 hours) on my slow computer. It would be nice if someone with a
faster build machine handled this.

Thanks,
Arun